import '../repositories/scan_history_repository.dart';
import '../models/scan_history_model.dart';

class ScanHistoryViewModel {
  final ScanHistoryRepository repository;

  ScanHistoryViewModel({required this.repository});

  Future<List<ScanHistoryModel>> getScanHistory(DateTime date, String statusFilter) async {
    return await repository.fetchScanHistory(date, statusFilter);
  }
}
